
@ECHO OFF
ECHO.
ECHO ****************************** README ************************************
ECHO This Batch file should import the annmap_saccharomyces_cerevisiae_33 database
ECHO into your MySQL database.  Firstly, please ensure you have created a
ECHO database by logging in to MySQL, and running the command:
ECHO.
ECHO    create database annmap_saccharomyces_cerevisiae_33 ;
ECHO.
ECHO Then, change the following settings to match those used by your system,
ECHO and run this batch file.
ECHO **************************************************************************
ECHO.

REM ************************* USER DEFINED VARIABLES *************************

REM ** Path to mysql program (if not on %PATH% already)
SET MYS=mysql

REM ** Path to mysqlimport program (if not on %PATH% already)
SET MYI=mysqlimport

REM ** The server your MySQL database is on
SET SVR=localhost

REM ** The username you connect to the db using
SET USR=CHANGEME

REM ** The password you use to connect to the db:
REM **     Use -p (default) to ask for password with each step
REM **     Use a blank value for no password
REM **     Use --password=YOURPASSWORD to automatically send your password
SET PWD=-p

REM ********************* END OF USER DEFINED VARIABLES **********************

IF NOT %USR%==CHANGEME GOTO OK
ECHO **ERROR** You need to edit this script, and define some variables before running it
ECHO.
GOTO END

:OK

%MYS%    -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 < annmap_saccharomyces_cerevisiae_33.sql
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local array.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local probe.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local chromosome.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local synonym.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local probeset.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local probemap.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local gene.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_gene.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local exon.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_exon.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local transcript.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local protein.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local domain.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_transcript.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_protein.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_domain.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local transcript_hit.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local exon_transcript.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local prediction_transcript.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_prediction_transcript.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local prediction_exon.txt
%MYI% -v -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 --local hit_prediction_exon.txt
%MYS%    -h %SVR% -u %USR% %PWD% annmap_saccharomyces_cerevisiae_33 < procedures.sql

ECHO ****************************** README ************************************
ECHO The data has now been added to your annmap_saccharomyces_cerevisiae_33 database
ECHO running in MySQL on %SVR%.
ECHO.
ECHO Please check that you have no errors, warnings or skipped records in the
ECHO output above, as there is no way to test from this script
ECHO.
ECHO Have fun with the database!
ECHO **************************************************************************

:END


