
#!/bin/bash

echo ""
echo "############################## README ####################################"
echo "This script file should import the annmap_saccharomyces_cerevisiae_33 database"
echo "into your MySQL database.  Firstly, please ensure you have created a"
echo "database by logging in to MySQL, and running the command:"
echo ""
echo "   create database annmap_saccharomyces_cerevisiae_33 ;"
echo ""
echo "Then, change the following settings to match those used by your system,"
echo "and run this batch file."
echo "##########################################################################"
echo ""

# Which server is the database on?
SVR=localhost

# What username should I use to connect?
USR=CHANGEME

# User password (uncomment the one you require):
# --Ask for password each time
PWD=-p
# --Use this password
# PWD=--password=PASSWORD
# --No password
# PWD=

# Locations of the mysql and mysqlimport commands (these should work as is if
# your PATH is set correctly)
MYS=mysql
MYI=mysqlimport

if [ $USR = "CHANGEME" ]; then
  echo "##ERROR## You need to edit this script, and define some variables before running it"
  exit
fi

$MYS    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 < annmap_saccharomyces_cerevisiae_33.sql
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local array.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local probe.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local chromosome.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local synonym.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local probeset.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local probemap.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local gene.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_gene.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local exon.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_exon.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local transcript.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local protein.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local domain.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_transcript.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_protein.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_domain.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local transcript_hit.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local exon_transcript.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local prediction_transcript.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_prediction_transcript.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local prediction_exon.txt
$MYI    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 --local hit_prediction_exon.txt
$MYS    -h $SVR -u $USR $PWD annmap_saccharomyces_cerevisiae_33 < procedures.sql

echo ""
echo "############################## README ####################################"
echo "The data has now been added to your annmap_saccharomyces_cerevisiae_33 database"
echo "running in MySQL on $SVR."
echo ""
echo "Please check that you have no errors, warnings or skipped records in the"
echo "output above, as there is no way to test from this script"
echo ""
echo "Have fun with the database!"
echo "##########################################################################"

